%global srcname SimpleTAL
%global pkgname simpletal

Name:           python-%{pkgname}
Version:        4.3
Release:        16%{?dist}
Summary:        An XML based template processor for TAL, TALES and METAL specifications
License:        BSD
URL:            http://www.owlfish.com/software/simpleTAL/py2compatible/index.html
Source0:        http://www.owlfish.com/software/simpleTAL/downloads/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
%if 0%{?fedora} < 26
BuildRequires:  python-hashlib
%endif
%if 0%{?fedora}
BuildRequires:  python2-setuptools
%else
BuildRequires:  python-setuptools
%endif

%description
SimpleTAL is a stand alone Python implementation of the TAL, TALES and
METAL specifications used in Zope to power HTML and XML templates.


%package -n python2-%{pkgname}
Summary:        An XML based template processor for TAL, TALES and METAL specifications
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname}
SimpleTAL is a stand alone Python implementation of the TAL, TALES and
METAL specifications used in Zope to power HTML and XML templates.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%install
%{__python2} -c 'import setuptools; execfile("setup.py")' install -O1 \
             --skip-build --root %{buildroot}

# remove x-bits from example files
find examples -name '*.py' -exec chmod -x {} \;


%check
%{__python2} runtests.py || :


%files -n python2-%{pkgname}
%doc Changes.txt README.txt
%doc documentation/html
%doc examples
%license LICENSE.txt
%{python2_sitelib}/%{pkgname}
%{python2_sitelib}/%{srcname}-%{version}-py*.egg-info


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 15 2017 Thomas Moschny <thomas.moschny@gmx.de> - 4.3-13
- Remove BR on obsoleted python-hashlib for F26+.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 31 2016 Thomas Moschny <thomas.moschny@gmx.de> - 4.3-11
- Modernize spec file.
- Include HTML documentation.
- Create a python2 subpackage only.
- Run test suite.
- Fix wrong date in %%changelog.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Thomas Moschny <thomas.moschny@gmx.de> - 4.3-1
- Update to 4.3.
- Use %%global instead of %%define.

* Fri Jul 30 2010 Thomas Moschny <thomas.moschny@gmx.de> - 4.2-4
- Forcefully create egg-info files.

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Apr 12 2010 Thomas Moschny <thomas.moschny@gmx.de> - 4.2-2
- Update URL (main URL points to Py3k package now).

* Fri Aug 14 2009 Thomas Moschny <thomas.moschny@gmx.de> - 4.2-1
- Update to 4.2, a (not fully backwards compatible) bugfix release.
- Minor specfile cosmetics.
- Remove execute bits from example scripts.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 4.1-9
- Rebuild for Python 2.6

* Mon Sep 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 4.1-8
- fix missing egg-info

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 4.1-7
- drop old abi Requires

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 4.1-6
- fix license tag

* Sat Dec 23 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 4.1-5
- Rebuild with Python 2.5

* Sat Sep 16 2006 Shahms E. King <shahms@shahms.com> 4.1-4
- Rebuild for FC6

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 4.1-3
- Include, don't ghost .pyo files per new guidelines

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 4.1-2
- Rebuild for FC5

* Mon Jan 30 2006 Shahms E. King <shahms@shahms.com> 4.1-1
- Update to new upstream version 4.1

* Thu Oct 06 2005 Shahms E. King <shahms@shahms.com> 3.13-1
- use srcname and version in Source URL
- update to new upstream version

* Thu May 12 2005 Shahms E. King <shahms@shahms.com> 3.12-4
- rebuilt, add dist tag

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Mar 21 2005 Shahms E. King <shahms@shahms.com> 3.12-2 -
- Misc cleanups

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 3.12-1 -
- Update to 3.12
- Clean up spec file

* Mon Dec 06 2004 Shahms E. King <shahms@shahms.com> -
- Update to 3.11

* Thu May 27 2004 Shahms King <shahms@shahms.com> -
- Initial Release

